For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
        • GETList Bulk Sync Execution Status
        • GETList Bulk Sync Executions
        • GETGet Bulk Sync Execution
        • POSTCancel Bulk Sync Execution
        • GETGet Bulk Sync Execution Logs
        • POSTExport Sync Logs
Logo
Log inBook a demo
API ReferenceBulk SyncExecutions

List Bulk Sync Executions

GET
https://app.polytomic.com/api/bulk/syncs/:id/executions
GET
/api/bulk/syncs/:id/executions
$curl https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "completed_at": "2023-04-25T12:00:00Z",
5 "created_at": "2023-04-25T12:00:00Z",
6 "error_count": 0,
7 "fetch_mode": "none",
8 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
9 "is_partial": false,
10 "is_resync": false,
11 "is_test": false,
12 "output_disposition": "retain",
13 "record_count": 1000,
14 "schemas": [
15 {
16 "completed_at": "2023-04-25T12:00:00Z",
17 "created_at": "2023-04-25T12:00:00Z",
18 "error_count": 0,
19 "output_name": "contact",
20 "record_count": 1000,
21 "schema": "contact",
22 "started_at": "2023-04-25T12:00:00Z",
23 "status": "created",
24 "status_message": "string",
25 "updated_at": "2023-04-25T12:00:00Z",
26 "warning_count": 0
27 }
28 ],
29 "started_at": "2023-04-25T12:00:00Z",
30 "status": "created",
31 "status_message": "string",
32 "type": "scheduled",
33 "updated_at": "2023-04-25T12:00:00Z",
34 "warning_count": 0
35 }
36 ],
37 "pagination": {
38 "next_page_token": "AmkYh8v0jR5B3kls2Qcc9y8MjrPmvR4CvaK7H0F4rEwqvg76K=="
39 }
40}
Lists executions for a bulk sync. Results are ordered by start time descending by default. When more results are available, the response includes an opaque `pagination.next_page_token`; pass it back as the `page_token` query parameter to retrieve the next page. The `limit` parameter is optional, and the maximum page size is 100 executions. Use `only_terminal=true` to return only finished executions. In that mode, executions are ordered by `updated_at` so recently completed runs appear first. Use `ascending=true` to walk forward from the oldest execution instead of starting with the newest execution. For the full details of a single run — including per-schema execution status — use [`GET /api/bulk/syncs/{id}/executions/{exec_id}`](../../../../../api-reference/bulk-sync/executions/get).
Was this page helpful?
Previous

Get Bulk Sync Execution

Next

Lists executions for a bulk sync.

Results are ordered by start time descending by default. When more results are available, the response includes an opaque pagination.next_page_token; pass it back as the page_token query parameter to retrieve the next page. The limit parameter is optional, and the maximum page size is 100 executions.

Use only_terminal=true to return only finished executions. In that mode, executions are ordered by updated_at so recently completed runs appear first.

Use ascending=true to walk forward from the oldest execution instead of starting with the newest execution.

For the full details of a single run — including per-schema execution status — use GET /api/bulk/syncs/{id}/executions/{exec_id}.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the bulk sync.

Headers

X-Polytomic-VersionstringRequired

Query parameters

page_tokenstringOptional
Pagination cursor returned in the previous response. Omit on the first request.
only_terminalbooleanOptional

When true, only return executions that have finished. Terminal executions are ordered by updated_at.

ascendingbooleanOptional
When true, return executions from oldest to newest. Default is newest first.
limitintegerOptional
Maximum number of executions to return. Capped at 100.

Response

OK
datalist of objects or null
paginationobject

Errors

401
Unauthorized Error
404
Not Found Error